Package be.fgov.ehealth.dics.protocol.v4

# Class AmppListDataType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.AmppListDataType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class AmppListDataType extends Object implements Serializable

Java class for AmppListDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmppListDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AtcCode" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmppListDataType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultTextType`
  `getAbbreviatedName()`
  Abbreviated name of the medicinal product package.
  `List<String>`
  `getAtcCodes()`
  Code following the Anatomical Therapeutic Chemical classification system managed by the WHO.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getPrescriptionName()`
  Structured and uniformly attributed name of the AMPP given by the BCPI as it is intended for consultation by the medicine prescriber.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setAbbreviatedName(ConsultTextType value)`
  Sets the value of the abbreviatedName property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setPrescriptionName(ConsultTextType value)`
  Sets the value of the prescriptionName property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmppListDataType

    public AmppListDataType()

- ## Method Details

  - ### getAtcCodes

    public List<String> getAtcCodes()
    Code following the Anatomical Therapeutic Chemical classification system managed by the WHO. Gets the value of the atcCodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atcCodes property.

    For example, to add a new item, do as follows:

         getAtcCodes().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the atcCodes property.

  - ### getAbbreviatedName

    public ConsultTextType getAbbreviatedName()
    Abbreviated name of the medicinal product package. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setAbbreviatedName

    public void setAbbreviatedName(ConsultTextType value)
    Sets the value of the abbreviatedName property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getAbbreviatedName()`

  - ### getPrescriptionName

    public ConsultTextType getPrescriptionName()
    Structured and uniformly attributed name of the AMPP given by the BCPI as it is intended for consultation by the medicine prescriber. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setPrescriptionName

    public void setPrescriptionName(ConsultTextType value)
    Sets the value of the prescriptionName property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getPrescriptionName()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`